Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | List of all members
TreeNodeBase Class Referenceabstract

BehaviourTreeのノードの基本クラス。 More...

Inheritance diagram for TreeNodeBase:

## Public Member Functions
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBaseのコンストラクタ More...
abstract bool | HasParentLinkSlot ()
| 親へのNodeLinkSlotを持っているかどうか More...
virtual NodeLinkSlot | GetParentLinkSlot ()
| 親へのNodeLinkSlotを取得。 More...
abstract bool | HasChildLinkSlot ()
| 子へのNodeLinkSlotを持っているかどうか More...
override bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
virtual string | GetName ()
| ノードの名前を取得 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Protected Member Functions
abstract void | OnExecute ()
| 実行する際に呼ばれる。 More...
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...

## Properties
bool | enablePriority`[get]`
| ルートノードから辿って接続されていればtrueを返す。 More...
int | priority`[get]`
| ノードの優先順位。 More...
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | parentNode`[get]`
| 親ノードを取得。 More...
NodeStatus | status`[get]`
| ノードの状態。 More...
bool | isActive`[get]`
| アクティブならtrueを返す。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Additional Inherited Members
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Detailed Description

BehaviourTreeのノードの基本クラス。

## Constructor & Destructor Documentation

TreeNodeBase | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

TreeNodeBaseのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID

## Member Function Documentation

virtual NodeLinkSlot GetParentLinkSlot | ( |  | ) |
| virtual

親へのNodeLinkSlotを取得。

Returns
  親へのNodeLinkSlot

Reimplemented in CompositeNode, and ActionNode.

abstract bool HasChildLinkSlot | ( |  | ) |
| pure virtual

子へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implemented in CompositeNode, ActionNode, and RootNode.

abstract bool HasParentLinkSlot | ( |  | ) |
| pure virtual

親へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implemented in CompositeNode, RootNode, and ActionNode.

override bool IsDeletable | ( |  | ) |
| virtual

削除できるかどうかを返す。

Returns
  削除できる場合にtrueを返す。

Reimplemented from Node.

abstract void OnExecute | ( |  | ) |
| protected pure virtual

実行する際に呼ばれる。

Implemented in CompositeNode, RootNode, and ActionNode.

override string ToString | ( |  | ) |

ノードを文字列に変換（デバッグ用）。

Returns
  変換された文字列

## Property Documentation

BehaviourTreeInternal behaviourTree
| get

ビヘイビアツリーを取得。

bool enablePriority
| get

ルートノードから辿って接続されていればtrueを返す。

bool isActive
| get

アクティブならtrueを返す。

TreeNodeBase parentNode
| get

親ノードを取得。

int priority
| get

ノードの優先順位。

NodeStatus status
| get

ノードの状態。